<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%products}}`.
 */
class m240528_140528_create_products_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('{{%products}}', [
            'id' => $this->primaryKey(),
            'name'=>$this->string('256'),
            'category_id'=>$this->integer(),
            'img'=>$this->string('256'),
            'price'=>$this->decimal()->defaultValue(100),
            'country'=>$this->string('256'),
            'counts'=>$this->integer()->defaultValue(0),
            'year'=>$this->integer()->defaultValue(2022),
            'model'=>$this->string('256'),
            'created_at'=>$this->timestamp(),
        ]);

        $this->addForeignKey(
            'category_id',
            'products',
            'category_id',
            'category',
            'id',
            'CASCADE'

        );
    }


    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%products}}');
    }
}
