<?php

namespace app\models;

class RegisterForm extends \yii\base\Model
{
    public $username;
    public $password;
    public $first_name;
    public $surname;
    public $patronymic;
    public $email;
    public $password_repeat;

    public function rules() {
        return [
            [['username', 'password', 'email', 'first_name', 'surname'], 'required'],
            ['username', 'unique', 'targetClass'=>'\app\models\User', 'message'=>'Такой пользователь уже есть в системе' ],
            ['email', 'unique', 'targetClass'=>'\app\models\User', 'message'=>'Такой Email уже есть в системе' ],
            ['email', 'email'],
            ['patronymic', 'string'],
            ['password', 'string', 'min'=>6],
            ['password_repeat', 'string', 'min'=>6],
            ['password_repeat', 'compare', 'compareAttribute' => 'password']
        ];
    }

    public function register() {
        if (!$this->validate()) {
            return null;
        }
        $user = new User();
        $user -> first_name = $this -> first_name;
        $user -> surname = $this -> surname;
        $user -> patronymic = $this -> patronymic;
        $user -> username = $this -> username;
        $user -> email = $this -> email;
        $user -> HashPassword($this->password);
        return $user -> save() ? $user : null;
    }

    public function attributeLabels()
    {
        return [
            'username'=>'Логин',
            'password'=>'Пароль',
            'password_repeat'=>'Повторите пароль',
            'first_name'=>'Имя',
            'surname'=>'Фамилия',
            'patronymic'=>'Отчество',
            'email'=>'Почта'

        ];
    }

}