<?php
use app\assets\AppAsset;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;
use yii\helpers\Html;
use yii\helpers\Url;

AppAsset::register($this);
?>

<?php if (Yii::$app->user->isGuest or !Yii::$app->identity->is_admin) {
    return Yii::$app->response->redirect('/site/index');
} ?>


<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>

<body>
    <?php $this->beginBody() ?>

    <header id="header">
        <?php
        NavBar::begin([
            'brandLabel' => Yii::$app->name,
            'brandUrl' => Yii::$app->homeUrl,
            'options' => ['class' => 'navbar-expand-md navbar-dark bg-dark  header']
        ]);
        echo Nav::widget([
            'options' => ['class' => 'navbar-nav header'],
            'items' => [
                ['label' => 'Домашняя', 'url' => ['/site/index']],
                ['label' => 'Обо мне', 'url' => ['/site/about']],
                ['label' => 'Контакты', 'url' => ['/site/contact']],
                Yii::$app->user->isGuest
                    ? ['label' => 'Регистрация', 'url' => ['/site/register']]:'',
                Yii::$app->user->isGuest
                    ? ['label' => 'Вход', 'url' => ['/site/login']]
                    : '<li class="nav-item">'
                    . Html::beginForm(['/site/logout'])
                    . Html::submitButton(
                        'Выход (' . Yii::$app->user->identity->username . ')',
                        ['class' => 'nav-link btn btn-link logout']
                    )
                    . Html::endForm()
                    . '</li>'
            ]
        ]);
        NavBar::end();
        ?>
    </header>

    <?=  $content ?>

<?php $this->endBody() ?>
</body>

</html>
<?php $this->endPage() ?>